using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace net1
{
    public partial class EditForm : Form
    {
        public EditForm()
        {
            InitializeComponent();
       
            this.eyesField.Items.AddRange(System.Enum.GetNames(typeof(Person.EyeColorEnum)));
            this.eyesField.SelectedIndex = 0;
        }

        private void OK_Click(object sender, EventArgs e)
        {
           if (this.ValidateChildren())
               this.DialogResult = DialogResult.OK;
           else
               this.DialogResult = DialogResult.None;
        }

        private void Anuluj_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
        }

        private void numericUpDown1_Validating(object sender, CancelEventArgs e)
        {
            if (this.heightField.Value <= 0)
                e.Cancel = true;
        }

        private void weightField_Validating(object sender, CancelEventArgs e)
        {
            if (this.weightField.Value <= 0)
                e.Cancel = true;
        }

        private void eyesField_Validating(object sender, CancelEventArgs e)
        {
            if (this.eyesField.SelectedIndex == -1)
                e.Cancel = true;
        }

        public string personName
        {
            get { return this.nameField.Text; }
            set { this.nameField.Text = value; }
        }

        public int personHeight
        {
            get { return (int)heightField.Value; }
            set { heightField.Value = value; }
        }

        public int personWeight
        {
            get { return (int)weightField.Value; }
            set { weightField.Value = value; }
        }

        public Person.EyeColorEnum personEyes
        {
            get { return (Person.EyeColorEnum)eyesField.SelectedIndex; }
            set { eyesField.SelectedIndex = (int)value; }
        }

    }
}